header {
  font-family: "Leckerli One", cursive;
  position: relative;
  color: white;
  z-index: 0;
}
header img {
  width: 80px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
}
header h1 {
  z-index: 2;
}
header a {
  color: white;
  text-decoration: none;
  height: 50px;
  width: 50px;
  position: absolute;
  right: 50px;
  top: 25px;
  z-index: 10;
}
@media all and (max-width: 400px) {
  header a {
    right: 20px;
  }
}
header a:hover {
  color: white;
  text-decoration: none;
}
header a img {
  color: white;
  height: 30px;
}
header a i {
  color: white;
  width: 15px;
  position: absolute;
  top: 22px;
  left: 56%;
  transform: translate(-50%, -50%);
}
header a p {
  color: white;
  position: absolute;
  top: 10px;
  margin: 0;
}

#banner img {
  width: 100%;
  max-height: 300px;
  height: 400px;
  transform-origin: bottom;
  object-fit: cover;
}
@media all and (min-width: 1200px) {
  #banner img {
    object-fit: contain;
  }
}
@media all and (max-width: 400px) {
  #banner img {
    display: none;
  }
}

.btn {
  border: white 1px solid;
}

::-webkit-scrollbar {
  width: 0px;
}

h4, p, label {
  color: #555;
}

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: #fefefe;
  height: 100vh;
}

header {
  height: 100px;
  background-color: #5A98DF;
  box-shadow: 0 5px 5px linear-gradient(180deg, #935de0 0%, #e58a06 100%);
}

a:active {
  outline: none;
}

#container-teddies {
  margin-top: 60px;
  margin-left: auto;
  margin-right: auto;
}

.round-color {
  border-radius: 50%;
  width: 30px;
  height: 30px;
  box-sizing: border-box;
  border: grey 2px solid;
}

h2 {
  font-size: 22px;
  top: -170px;
  left: 50%;
  transform: translateX(-50%);
}

h3 {
  position: absolute;
  z-index: -100;
  font-size: 15px;
  top: -180px;
  left: 50%;
  transform: translateX(-50%);
}

img.round {
  width: 250px;
  height: 250px;
  object-fit: cover;
  border-radius: 100%;
  position: relative;
  filter: brightness(0.6);
}
img.round::after {
  border: white 3px solid;
}

div[id^=teddy-color-] {
  opacity: 0;
}

a[id^=teddy-] {
  width: 300px;
  height: 350px;
  border-radius: 10px;
  border: 3px white;
  color: white;
  border-color: #3a3a3a;
  outline: none;
  /* background-color: rgb(196, 196, 196); */
  background-color: transparent;
  box-shadow: none;
  margin: auto;
}

a[id^=teddy-]:hover {
  transition: all 300ms 600ms;
  background-color: #4e3a4d;
  z-index: 1000;
  border: 3px #4e3a4d solid;
  transform: scale(1.3);
}
@media all and (max-width: 576px) {
  a[id^=teddy-]:hover {
    transition: all 300ms 500ms;
    transform: scale(1.1);
    margin: auto;
    margin-bottom: 50px;
  }
}

a[id^=teddy-]:hover img {
  transition: border-radius 300ms 200ms, width 200ms 400ms, filter 500ms;
  filter: brightness(1);
  transform-origin: center;
  margin: 0;
  width: 300px;
  border-radius: 10px 10px 0 0;
  border-left: 3px #4e3a4d solid;
  border-right: 3px #4e3a4d solid;
}

a[id^=teddy-]:hover div > h2 {
  transition: all 300ms ease;
  top: -30px;
}

a[id^=teddy-]:hover div > h3 {
  z-index: 1;
  transition: top 300ms 400ms ease;
  top: 0;
  animation: appear 200ms 500ms both;
}

a[id^=teddy-]:hover div > div[id^=teddy-color-] {
  z-index: 1;
  transition: top 300ms 400ms ease;
  top: 25px;
  animation: appear 300ms 600ms both;
}

.form-appear {
  animation: form-appear 300ms both;
  transform-origin: top;
}

@keyframes appear {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes form-appear {
  from {
    transform: scaleY(0);
  }
  to {
    transform: scaleY(1);
  }
}
#product-container {
  background-color: #df919c;
  padding: 0;
  color: #202020;
  border-radius: 5px;
}
#product-container img {
  padding: 0;
  border: 2px darkgrey solid;
  object-fit: cover;
  border-radius: 5px;
}

.form-group {
  display: flex;
  flex-direction: column;
  justify-content: center;
  box-sizing: border-box;
  padding: 0;
}
.form-group select {
  box-sizing: border-box;
}

.description {
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media all and (max-width: 400px) {
  .description-text {
    max-width: 100%;
  }
}

#product-container {
  position: relative;
}

@media all and (max-width: 400px) {
  a.btn {
    font-size: 10px;
  }
}

#cart-container {
  color: #555;
  margin-top: 50px;
}
@media all and (max-width: 400px) {
  #cart-container {
    padding: 0;
  }
}
#cart-container table {
  border: 1px white solid;
}
#cart-container thead {
  background-color: #1a1b1b;
  color: white;
}
#cart-container tfoot {
  background-color: #1a1b1b;
  color: white;
}
#cart-container tfoot td:last-child {
  padding: 0 2px 0 2px;
}

tbody td {
  border: 1px white solid;
  justify-content: center;
  background-color: darkgrey;
  color: black;
  font-weight: bold;
  text-overflow: ellipsis;
  white-space: nowrap;
}
tbody td:last-child {
  padding-right: 2px;
}
tbody td.number {
  text-align: right;
}
tbody td.name {
  min-width: 110px;
}
tbody td .btn {
  width: 25px;
  height: 25px;
}

a {
  text-decoration: none;
  color: white;
}
a:hover {
  text-decoration: none;
  color: white;
}

#facturation-container {
  color: white;
  margin-top: 50px;
}

.icone-verif {
  width: 20px;
  position: absolute;
  right: 5px;
  top: 35px;
}

span[class*=position-absolute] {
  top: 60px;
  font-size: 12px;
  color: red;
}

@media all and (max-width: 400px) {
  #fake-button, #true-button, #empty-cart-button {
    font-size: 10px;
  }
}

/*# sourceMappingURL=custom.css.map */
